/*=============================================================
 tools
=============================================================*/
#card {
  background-color: #fff;
  padding: 30px;
}
#card .formCon {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px 0;
}

#imageInput {
  line-height: 1;
}

#inputText {
  line-height: 1;
}

#preview-area {
  position: relative;
  width: 500px;
}

#baseImage {
  width: 100%;
  display: block;
}

#overlayImage {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  -o-object-position: center center;
     object-position: center center;
}

#overlayImageWrap {
  position: absolute;
  top: 62%;
  left: 24%;
  width: 30%;
  height: 42.8%;
  transform: translate(-50%, -50%);
  aspect-ratio: 1/1;
  overflow: hidden;
}

#overlayImage {
  position: absolute;
  left: 0;
  top: 0;
  width: auto;
  height: 100%;
  max-width: none;
}

#cropArea {
  width: 300px;
  height: 300px;
  overflow: hidden;
  position: relative;
  border: 2px solid #ccc;
  touch-action: none;
}

#cropArea,
#zoomRange {
  display: none;
}

#cropImage {
  position: absolute;
  cursor: -webkit-grab;
  cursor: grab;
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
  -webkit-user-drag: none;
}

#previewText {
  position: absolute;
  left: 8%;
  top: 12%;
  transform: none;
  color: #000;
  font-family: sans-serif;
  text-align: left;
}